import type { EditorView } from 'prosemirror-view';
import type { ContentHandler, MarkupString } from "../common/index.js";
import type { Parser } from "./types/parser.js";
export declare class WysiwygContentHandler implements ContentHandler {
    #private;
    constructor(view: EditorView, parser: Parser);
    clear(): void;
    replace(newMarkup: MarkupString): void;
    prepend(markup: MarkupString): void;
    append(markup: MarkupString): void;
    moveCursor(position: 'start' | 'end'): void;
    private appendContentTr;
}
